Extending Qt Creator Manual | SubstitutionEnvironment

Extending Qt Creator Manual 4.5.2

# SubstitutionEnvironment Class

(CPlusPlus::SubstitutionEnvironment)

- List of all members, including inherited members

## Public Functions

| SubstitutionEnvironment()
FullySpecifiedType | apply(const Name *name, Rewrite *rewrite) const
const LookupContext & | context() const
void | enter(Substitution *subst)
void | leave()
Scope * | scope() const
void | setContext(const LookupContext &context)
Scope * | switchScope(Scope *scope)

## Member Function Documentation

### SubstitutionEnvironment::SubstitutionEnvironment()

Default constructs an instance of SubstitutionEnvironment.

### FullySpecifiedType SubstitutionEnvironment::apply(const Name *name, Rewrite *rewrite) const

### const LookupContext &SubstitutionEnvironment::context() const

See also setContext().

### void SubstitutionEnvironment::enter(Substitution *subst)

### void SubstitutionEnvironment::leave()

### Scope *SubstitutionEnvironment::scope() const

### void SubstitutionEnvironment::setContext(const LookupContext &context)

See also context().

### Scope *SubstitutionEnvironment::switchScope(Scope *scope)